Bug 1121066 - [abrt] xarchiver: strlen(): xarchiver killed by SIGSEGV
Summary: [abrt] xarchiver: strlen(): xarchiver killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xarchiver
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cf24df16cf9b72c0b7b54617a7a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 09:55 UTC by karakondjo
Modified: 2015-06-29 21:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:38:18 UTC


Attachments (Terms of Use)
File: backtrace (24.98 KB, text/plain)
2014-07-18 09:55 UTC, karakondjo
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-18 09:55 UTC, karakondjo
no flags Details
File: core_backtrace (11.27 KB, text/plain)
2014-07-18 09:55 UTC, karakondjo
no flags Details
File: dso_list (7.18 KB, text/plain)
2014-07-18 09:55 UTC, karakondjo
no flags Details
File: environ (834 bytes, text/plain)
2014-07-18 09:55 UTC, karakondjo
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-18 09:55 UTC, karakondjo
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-18 09:55 UTC, karakondjo
no flags Details
File: maps (38.57 KB, text/plain)
2014-07-18 09:55 UTC, karakondjo
no flags Details
File: open_fds (1.10 KB, text/plain)
2014-07-18 09:55 UTC, karakondjo
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2014-07-18 09:55 UTC, karakondjo
no flags Details
File: var_log_messages (744 bytes, text/plain)
2014-07-18 09:55 UTC, karakondjo
no flags Details

Description karakondjo 2014-07-18 09:55:26 UTC
Description of problem:
Yesxgx  xh s s

Version-Release number of selected component:
xarchiver-0.5.2-18.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        xarchiver /home/vkk/Downloads/pl2303.zip
crash_function: strlen
executable:     /usr/bin/xarchiver
kernel:         3.15.3-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 __gen_tempname at ../sysdeps/posix/tempname.c:256
 #2 mkdtemp at mkdtemp.c:30
 #3 xa_create_temp_directory at archive.c:367
 #4 xa_treeview_row_activated at window.c:2773
 #9 gtk_tree_view_button_press at gtktreeview.c:2878
 #10 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #15 gtk_widget_event_internal at gtkwidget.c:5017
 #16 gtk_widget_event at gtkwidget.c:4814
 #17 gtk_propagate_event at gtkmain.c:2490

Potential duplicate: bug 881531

Comment 1 karakondjo 2014-07-18 09:55:30 UTC
Created attachment 919021 [details]
File: backtrace

Comment 2 karakondjo 2014-07-18 09:55:31 UTC
Created attachment 919022 [details]
File: cgroup

Comment 3 karakondjo 2014-07-18 09:55:33 UTC
Created attachment 919023 [details]
File: core_backtrace

Comment 4 karakondjo 2014-07-18 09:55:34 UTC
Created attachment 919024 [details]
File: dso_list

Comment 5 karakondjo 2014-07-18 09:55:35 UTC
Created attachment 919025 [details]
File: environ

Comment 6 karakondjo 2014-07-18 09:55:36 UTC
Created attachment 919026 [details]
File: exploitable

Comment 7 karakondjo 2014-07-18 09:55:37 UTC
Created attachment 919027 [details]
File: limits

Comment 8 karakondjo 2014-07-18 09:55:39 UTC
Created attachment 919028 [details]
File: maps

Comment 9 karakondjo 2014-07-18 09:55:40 UTC
Created attachment 919029 [details]
File: open_fds

Comment 10 karakondjo 2014-07-18 09:55:42 UTC
Created attachment 919030 [details]
File: proc_pid_status

Comment 11 karakondjo 2014-07-18 09:55:43 UTC
Created attachment 919031 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:24:25 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:38:18 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.